/*
 * IConversionRE.h
 *
 *  Created on: 19. 4. 2014
 *      Author: tomas
 */

#ifndef __ICONVERSIONRE_H__
#define __ICONVERSIONRE_H__

#include "Conversion.h"

#include <regexp/RegExp.h>

namespace conversions
{

/**
 * Interface for conversion to regexp.
 */
class IConversionRE : public Conversion
{
public:
    /**
     * @return regexp equivalent to input.
     */
    virtual regexp::RegExp convert( void ) = 0;

    virtual ~IConversionRE( void );

};

} /* namespace conversions */

#endif /* __ICONVERSIONRE_H__ */
